Subject: Ticket Assigned - Hello .. what happen with my order now 5 days finished alreday I don't receive my order ..Land mark always sms me we missed you and wrong phone number. but I have 2 number .. 0545007529.. 0510381278 this is my mobile number it's always open .. my address.
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 02 Nov 2022 16:43:20 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hello .. what happen with my order now 5 days finished alreday I don't receive my order ..Land mark always sms me we missed you and wrong phone number. but I have 2 number .. 0545007529.. 0510381278 this is my mobile number it's always open .. my address. Contacted

malik

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5089318